complete -c uu-ls -n "__fish_use_subcommand" -l format -d 'Set the display format.' -r -f -a "long verbose single-column columns vertical across horizontal commas"
complete -c uu-ls -n "__fish_use_subcommand" -l quoting-style -d 'Set quoting style.' -r -f -a "literal shell shell-always shell-escape shell-escape-always c escape"
complete -c uu-ls -n "__fish_use_subcommand" -l time -d 'Show time in <field>:
	access time (-u): atime, access, use;
	change time (-t): ctime, status.
	birth time: birth, creation;' -r -f -a "atime access use ctime status birth creation"
complete -c uu-ls -n "__fish_use_subcommand" -l hide -d 'do not list implied entries matching shell PATTERN (overridden by -a or -A)'
complete -c uu-ls -n "__fish_use_subcommand" -s I -l ignore -d 'do not list implied entries matching shell PATTERN'
complete -c uu-ls -n "__fish_use_subcommand" -l sort -d 'Sort by <field>: name, none (-U), time (-t), size (-S) or extension (-X)' -r -f -a "name none time size version extension"
complete -c uu-ls -n "__fish_use_subcommand" -s w -l width -d 'Assume that the terminal is COLS columns wide.'
complete -c uu-ls -n "__fish_use_subcommand" -l color -d 'Color output based on file type.'
complete -c uu-ls -n "__fish_use_subcommand" -l indicator-style -d 'Append indicator with style WORD to entry names: none (default),  slash (-p), file-type (--file-type), classify (-F)' -r -f -a "none slash file-type classify"
complete -c uu-ls -n "__fish_use_subcommand" -l time-style -d 'time/date format with -l; see TIME_STYLE below' -r -f -a "full-iso long-iso iso locale"
complete -c uu-ls -n "__fish_use_subcommand" -s C -d 'Display the files in columns.'
complete -c uu-ls -n "__fish_use_subcommand" -s l -l long -d 'Display detailed information.'
complete -c uu-ls -n "__fish_use_subcommand" -s x -d 'List entries in rows instead of in columns.'
complete -c uu-ls -n "__fish_use_subcommand" -s m -d 'List entries separated by commas.'
complete -c uu-ls -n "__fish_use_subcommand" -s 1 -d 'List one file per line.'
complete -c uu-ls -n "__fish_use_subcommand" -s o -d 'Long format without group information. Identical to --format=long with --no-group.'
complete -c uu-ls -n "__fish_use_subcommand" -s g -d 'Long format without owner information.'
complete -c uu-ls -n "__fish_use_subcommand" -s n -l numeric-uid-gid -d '-l with numeric UIDs and GIDs.'
complete -c uu-ls -n "__fish_use_subcommand" -s N -l literal -d 'Use literal quoting style. Equivalent to `--quoting-style=literal`'
complete -c uu-ls -n "__fish_use_subcommand" -s b -l escape -d 'Use escape quoting style. Equivalent to `--quoting-style=escape`'
complete -c uu-ls -n "__fish_use_subcommand" -s Q -l quote-name -d 'Use C quoting style. Equivalent to `--quoting-style=c`'
complete -c uu-ls -n "__fish_use_subcommand" -s q -l hide-control-chars -d 'Replace control characters with \'?\' if they are not escaped.'
complete -c uu-ls -n "__fish_use_subcommand" -l show-control-chars -d 'Show control characters \'as is\' if they are not escaped.'
complete -c uu-ls -n "__fish_use_subcommand" -s c -d 'If the long listing format (e.g., -l, -o) is being used, print the status change time (the \'ctime\' in the inode) instead of the modification time. When explicitly sorting by time (--sort=time or -t) or when not using a long listing format, sort according to the status change time.'
complete -c uu-ls -n "__fish_use_subcommand" -s u -d 'If the long listing format (e.g., -l, -o) is being used, print the status access time instead of the modification time. When explicitly sorting by time (--sort=time or -t) or when not using a long listing format, sort according to the access time.'
complete -c uu-ls -n "__fish_use_subcommand" -s B -l ignore-backups -d 'Ignore entries which end with ~.'
complete -c uu-ls -n "__fish_use_subcommand" -s S -d 'Sort by file size, largest first.'
complete -c uu-ls -n "__fish_use_subcommand" -s t -d 'Sort by modification time (the \'mtime\' in the inode), newest first.'
complete -c uu-ls -n "__fish_use_subcommand" -s v -d 'Natural sort of (version) numbers in the filenames.'
complete -c uu-ls -n "__fish_use_subcommand" -s X -d 'Sort alphabetically by entry extension.'
complete -c uu-ls -n "__fish_use_subcommand" -s U -d 'Do not sort; list the files in whatever order they are stored in the directory.  This is especially useful when listing very large directories, since not doing any sorting can be noticeably faster.'
complete -c uu-ls -n "__fish_use_subcommand" -s L -l dereference -d 'When showing file information for a symbolic link, show information for the file the link references rather than the link itself.'
complete -c uu-ls -n "__fish_use_subcommand" -l dereference-command-line-symlink-to-dir -d 'Do not dereference symlinks except when they link to directories and are given as command line arguments.'
complete -c uu-ls -n "__fish_use_subcommand" -s H -l dereference-command-line -d 'Do not dereference symlinks except when given as command line arguments.'
complete -c uu-ls -n "__fish_use_subcommand" -s G -l no-group -d 'Do not show group in long format.'
complete -c uu-ls -n "__fish_use_subcommand" -l author -d 'Show author in long format. On the supported platforms, the author always matches the file owner.'
complete -c uu-ls -n "__fish_use_subcommand" -s a -l all -d 'Do not ignore hidden files (files with names that start with \'.\').'
complete -c uu-ls -n "__fish_use_subcommand" -s A -l almost-all -d 'In a directory, do not ignore all file names that start with \'.\', only ignore \'.\' and \'..\'.'
complete -c uu-ls -n "__fish_use_subcommand" -s d -l directory -d 'Only list the names of directories, rather than listing directory contents. This will not follow symbolic links unless one of `--dereference-command-line (-H)`, `--dereference (-L)`, or `--dereference-command-line-symlink-to-dir` is specified.'
complete -c uu-ls -n "__fish_use_subcommand" -s h -l human-readable -d 'Print human readable file sizes (e.g. 1K 234M 56G).'
complete -c uu-ls -n "__fish_use_subcommand" -l si -d 'Print human readable file sizes using powers of 1000 instead of 1024.'
complete -c uu-ls -n "__fish_use_subcommand" -s i -l inode -d 'print the index number of each file'
complete -c uu-ls -n "__fish_use_subcommand" -s r -l reverse -d 'Reverse whatever the sorting method is e.g., list files in reverse alphabetical order, youngest first, smallest first, or whatever.'
complete -c uu-ls -n "__fish_use_subcommand" -s R -l recursive -d 'List the contents of all directories recursively.'
complete -c uu-ls -n "__fish_use_subcommand" -s F -l classify -d 'Append a character to each file name indicating the file type. Also, for regular files that are executable, append \'*\'. The file type indicators are \'/\' for directories, \'@\' for symbolic links, \'|\' for FIFOs, \'=\' for sockets, \'>\' for doors, and nothing for regular files.'
complete -c uu-ls -n "__fish_use_subcommand" -l file-type -d 'Same as --classify, but do not append \'*\''
complete -c uu-ls -n "__fish_use_subcommand" -s p -d 'Append / indicator to directories.'
complete -c uu-ls -n "__fish_use_subcommand" -l full-time -d 'like -l --time-style=full-iso'
complete -c uu-ls -n "__fish_use_subcommand" -l help -d 'Prints help information'
complete -c uu-ls -n "__fish_use_subcommand" -s V -l version -d 'Prints version information'
